Subject: Re: bug#44858: [PATCH] Make byte-compiler warn about wide docstrings

From: Eli Zaretskii <[email-masked]>
Date: Thu, 26 Nov 2020 16:19:53 +0200

> From: Stefan Kangas <[email-masked]>
> Date: Tue, 24 Nov 2020 17:36:34 -0800
> 
> For `substitute-command-keys', it would be nice to get it to work, but I
> don't think we can know the values of keymaps at compile-time.  Possibly
> there is a good solution for this, but I couldn't find it.

How about some simplified heuristics, like assume that the expansion
takes no more than N characters (where N could be something like 5)?
This should work in, like, 80% of cases, I think.